<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>ejercicio10formulario</title>
	<script type="text/javascript">
		function suma (numero1,numero2) {
			let sumar=0;
			sumar=numero1+numero2;
			return sumar;
		}
		function resta (numero1,numero2) {
			let restar=0;
			restar=numero1-numero2;
			return restar;
		}
		function producto (numero1,numero2) {
			let multiplicar=0;
			multiplicar=numero1*numero2;
			return multiplicar;
		}
		function division (numero1,numero2) {
			let dividir=0;
			dividir=numero1/numero2;
			return dividir;
		}

		window.addEventListener("load",function(){
			let botonsuma=document.querySelector("#suma");
			botonsuma=botonsuma.addEventListener("click",function(){
			  let n1=0;
			  let n2=0;
			  resultado=0;
			  n1=document.querySelector("#inumero1");
			  n2=document.querySelector("#inumero2");
			  resultado=document.querySelector("#iresultado");
			  resultado.value=suma(Number(n1.value),Number(n2.value));
			});
			
			let botonresta=document.querySelector("#resta");
			botonresta=botonresta.addEventListener("click",function(){
			  let n1=0;
			  let n2=0;
			  n1=document.querySelector("#inumero1");
			  n2=document.querySelector("#inumero2");
			  resultado=document.querySelector("#iresultado");
			  resultado.value=resta(Number(n1.value),Number(n2.value));
			});
			
			let botonproducto=document.querySelector("#producto");
			botonproducto=botonproducto.addEventListener("click",function(){
			  let n1=0;
			  let n2=0;
			  n1=document.querySelector("#inumero1");
			  n2=document.querySelector("#inumero2");
			  resultado=document.querySelector("#iresultado");
			  resultado.value=producto(Number(n1.value),Number(n2.value));
			});

			let botondivision=document.querySelector("#division");
			botondivision=botondivision.addEventListener("click",function(){
			  let n1=0;
			  let n2=0;
			  n1=document.querySelector("#inumero1");
			  n2=document.querySelector("#inumero2");
			  resultado=document.querySelector("#iresultado");
			  resultado.value=division(Number(n1.value),Number(n2.value));
			});
		});
	</script>
	<style>
		body{
				background-color:antiquewhite;
				font-family:sans-serif;
				color: blue;
				text-align: center;
			}
			button{
				background-color: red;
				display:block; 				
				color: white;
			}

	</style>
</head>
<body>
	<form>
		<label for="inumero1">
			numero1
		</label>
		<input type="number" id="inumero1" name="numero1">
		<label for="inumero2">
			numero2
		</label>
		<input type="number" id="inumero2" name="numero2">
		<label for="inumeromayor">
			resultado
		<input type="number" id="iresultado" name="resutado" value="">
		</label>
		<button type="button" id="suma">sumar</button>
		<button type="button" id="resta">restar</button>
		<button type="button" id="producto">multiplicar</button>
		<button type="button" id="division">dividir</button>
	</form>
</body>
</html>